#ifndef QOGREGRAPHICSSCENE_H
#define QOGREGRAPHICSSCENE_H

#include <QGraphicsScene>
#include <AIS_InteractiveContext.hxx>
#include <V3d_View.hxx>

class QOgreGraphicsScene : public QGraphicsScene
{
public:
    QOgreGraphicsScene();
    ~QOgreGraphicsScene();
    void drawBackground(QPainter * painter, const QRectF & rect);
private:
    Handle(V3d_View) aView;
    Handle(V3d_Viewer) aViewer;
    Handle(AIS_InteractiveContext) myContext;
    void initOcc();
};

#endif // QOGREGRAPHICSSCENE_H
